Bug 62357 - vmware is unable to run with glibc 2.2.5-27
vmware is unable to run with glibc 2.2.5-27
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-30 01:18 EST by Knut J BJuland
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-30 01:18:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2002-03-30 01:18:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
vmware is unable to start a virtual machine
vmware get 1338  getpriority(PRIO_PROCESS, 0)      = 20
1338  setpriority(PRIO_PROCESS, 0, -19) = 0
1338  getpriority(PRIO_PROCESS, 0)      = 39
1338  write(2, "VMware PANIC: (ide0:0) NOT_IMPLE"..., 50) = 50


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run vmware with glibc 2.2.5-27
2.
3.
	

Actual Results:  1338  getpriority(PRIO_PROCESS, 0)      = 20
1338  setpriority(PRIO_PROCESS, 0, -19) = 0
1338  getpriority(PRIO_PROCESS, 0)      = 39
1338  write(2, "VMware PANIC: (ide0:0) NOT_IMPLE"..., 50) = 50

Expected Results:  vmware should run

Additional info:


> Guillermo Payet <gpayet@oceangroup.com> wrote:
>>vmware 3.0 (build 1455) is now dead, after upgrading glibc to the latest
>>version from RedHat's RawHide. (Yes, living dangerously here)  the
offending glibc is:  glibc-2.2.5-27

This is the error I get when attempting to start a vm:

      AIO-NOT IMPLEMENTED F(831):688

 The nice() system call is failing.  You can strace -f the binary and see if
 you can learn anything, but I'm not particularly optimistic.
1338  getpriority(PRIO_PROCESS, 0)      = 20
1338  setpriority(PRIO_PROCESS, 0, -19) = 0
1338  getpriority(PRIO_PROCESS, 0)      = 39
1338  write(2, "VMware PANIC: (ide0:0) NOT_IMPLE"..., 50) = 50

Presumably glibc has changed the range of priorities or something.
The behaviour doesn't match the documentation I've got for getpriority
and setpriority, which says that the return value for the last call
should be 20+-19 == 1, so I think it's a bug in this version of glibc
(in my case it's Debian libc6-2.2.5-4).  It's bug 140012
(<http://bugs.debian.org/140012>).

This problem has also cause problem in debian send along a lin to its bug base.
Comment 1 Bill Nottingham 2002-04-01 15:46:26 EST
This is a bug in VMWare... it is not following the defined semantics of nice();
according to SUSv2, nice() returns the new nice value on success.

Note You need to log in before you can comment on or make changes to this bug.